Subject: Re: [Gen-art] Genart last call review of draft-ietf-rift-applicability-03

From: <[email-masked]>
Date: Thu, 21 Jan 2021 18:03:11 +0800 (CST)

Dear Linda,

I updated a new version. I hope it resolved your concerns.

https://tools.ietf.org/rfcdiff?url2=draft-ietf-rift-applicability-04.txt 

Comments and suggestions are always welcome.

Best Regards,

Yuehua Wei

M: +86 13851460269 E: [email-masked]

原始邮件

发件人：LindaDunbarviaDatatracker
收件人：[email-masked];
抄送人：[email-masked];[email-masked];[email-masked];
日 期 ：2020年12月15日 08:03
主 题 ：Genart last call review of draft-ietf-rift-applicability-03

Reviewer: Linda Dunbar
Review result: Not Ready
 
I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.
 
For more information, please see the FAQ at
 
<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
 
Document: draft-ietf-rift-applicability-3
Reviewer: Linda Dunbar
Review Date: 2020-12-14
IETF LC End Date: None
IESG Telechat date: Not scheduled for a telechat
 
Summary:
 
This document claims to describe the properties and the applicability of RIFT
in different deployment scenarios and highlight the operational simplicity of
RIFT.
 
But I find the description is not complete.  For example, I can't find any
sections describing "the consideration when RIFT is used with or without
overlays", nor can I find how RIFT is operationally simpler than Link State
protocol.
 
Major issues:
 
Section 3.1  Overview of RIFT listed many benefits of RIFT, but doesn't have
any description how those benefits are realized by RIFT. Strongly suggest to
have a reference to each of the benefits described in the Section 3.1.
 
There is one statement saying that RIFT uses Link State for the north direction
and Distance Vector for the south direction, therefore, RIFT has the benefits
of both. But the document doesn't have any description on why RIFT didn't
inherent the disadvantages of both.
 
Minor issues:
The document uses many acronyms that don't have reference nor definitions:
 
Section 3.2.1
-  What do "PoD" and "multi-plane" mean?
- What do  N-SPF and S-SPF stand for?
 
Section 3.3.1:
What does it mean by saying "application in underlay of data center IP
fabrics"?  Do you mean "applications connected by Clos architecture in DC "?
 
Section 3.3.3 Last sentence: "Moreover, due the limited size of forwarding
tables ..." 
 
How do the active elements of building cabling related to  the "limited sizes
of forwarding tables"?
 
Section 3.3.4:  First sentence:  "It is common ... to use fabrics when crossbar
is not feasible" Do you mean "Clos Fabrics"?
 
Section 4:
what does "minimum blast radius" mean?
What aspects of "extensive Zero Touch Provisioning" achieved by RIFT that can't
be achieved by Link State protocols?
 
"RIFT negotiates automatically BFD per link".
RIFT uses Link State for North Bound, does it inherit all the properties from
Link State (OSPF or  IS/IS)?  There is no description on how RIFT can automate
BFD better than OSPF or IS/IS.
 
 "RIFT reduces FIB size towards the bottom of the IP fabric". Do you mean RIFT
 reduces FIB size for leaf nodes?
 
Page 13: "without disaggregation mechanism, when linkSL6 fails, ..." 
When Link State protocol is used , if LinkSL6 fails, packets towards prefix 122
should go through LinkSL5-> LinkSL7->LinkSL8.   How does it go through
linkSL5->LinkT3?
 
Page 16:
"the RIFT control protocol can discover the physical links and detect cabling
that violates fat-tree". Is it by configuration on the Leaf nodes?
 
Page 25:
What is "LIEs"? what is "TIEs"?
 
Page 26:
What is "PGP reference"?
 
Nits/editorial comments:
 
Cheers,
Linda Dunbar